neumannfile = fopen('earth.nonzeroNeumannBC', 'w');

highnodes = [50, 699, 210, 767, 51, 700, 211, 768, 52, 701];
%% Create boundary conditions for high pressure area given by the nodes in highnodes:
for i=1:length(e)
fprintf(neumannfile, '%i %i', e(1:2, i));
if ( any ( e(1, i) == highnodes ) )
node = p(:, e(1, i)) + p(:, e(2, i));
node = node .* 0.5;
midpoint = ones(2, 1) .* 0.0;
direction = midpoint - node;
direction = direction ./ norm(direction);
direction = direction .* 1500.0;
%direction = direction .* 103000.0;  % high
fprintf(neumannfile, ' %f %f\n', direction);
display('Wrote high boundary conditions at node ');
display(e(1, i));
else
fprintf(neumannfile, ' 0.0 0.0\n');
end
end

